Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	An object database, tag/metadata database, search tool and indexer
Name:		tracker
Version:	0.6.6
Release:	3
License:	GPLv2+
Group:		Databases
URL:		http://www.gnome.org/~jamiemcc/tracker/
Source0:	http://www.gnome.org/~jamiemcc/tracker/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gmime-devel
BuildRequires:	poppler-devel
BuildRequires:	gettext
BuildRequires:	gnome-desktop-devel
BuildRequires:	gamin-devel
BuildRequires:	libnotify-devel
BuildRequires:	libexif-devel
BuildRequires:	libgsf-devel
BuildRequires:	gstreamer10-devel
BuildRequires:	exempi-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	deskbar-applet
BuildRequires:	sqlite-devel
BuildRequires:	PyGTK-devel

Requires:	o3read

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database, search tool and indexer. 

It consists of a common object database that allows entities to have an
almost infinte number of properties, metadata (both embedded/harvested as
well as user definable), a comprehensive database of keywords/tags and
links to other entities.

It provides additional features for file based objects including context
linking and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search  
all types of files and other first class objects

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel gtk2+-devel

%description	devel
This package contains the static libraries and header files needed for
developing with tracker

%package	search-tool
Summary:	Tracker search tool(s)
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description	search-tool
Graphical frontend to tracker search facilities. This has dependencies on
GNOME libraries

%prep
%setup -q

%define deskbar_applet_ver %(pkg-config --modversion deskbar-applet)
%if "%deskbar_applet_ver" >= "2.19.4"
 %define deskbar_applet_dir %(pkg-config --variable modulesdir deskbar-applet)
 %define deskbar_type module
%else
 %define deskbar_applet_dir %(pkg-config --variable handlersdir deskbar-applet)
 %define deskbar_type handler
%endif

%build
%configure --disable-static --enable-deskbar-applet=%{deskbar_type}

# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--vendor="fedora"				\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}-search-tool.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%post search-tool
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -p /sbin/ldconfig

%postun search-tool
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/tracker*
%exclude %{_bindir}/tracker-applet
%exclude %{_bindir}/tracker-preferences
%exclude %{_bindir}/tracker-search-tool
%exclude %{_bindir}/tracker-thumbnailer
%exclude %{_bindir}/o3totxt
%{_datadir}/tracker/
%{_datadir}/dbus-1/services/tracker.service
%{_libdir}/*.so.*
%{_libdir}/tracker/
%{_mandir}/*/tracker*.gz
%{_sysconfdir}/xdg/autostart/trackerd.desktop

%files devel
%defattr(-, root, root, -)
%{_includedir}/tracker*
%{_includedir}/libtracker-gtk/
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files search-tool
%defattr(-, root, root, -)
%{_bindir}/tracker-applet
%{_bindir}/tracker-preferences
%{_bindir}/tracker-search-tool
%{_bindir}/tracker-thumbnailer
%{deskbar_applet_dir}/tracker*.py*
%{_datadir}/icons/*/*/apps/tracker.*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/tracker-applet.desktop

%changelog
* Tue Jul 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.6.6-3
- rebuilt against poppler 0.8.4, correct package group
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-2
- rebuilt against poppler 0.8.0
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.6-1
- Initial release
